---@meta

---@class UVehicle_Hitch_C : UVehicleComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Type HitchTypes::Type
---@field Initialized boolean
---@field isHitched boolean
---@field ConnectTypes TArray<FName>
---@field ['X RotationLimit'] double
---@field ['Y RotationLimit'] double
---@field ['Z RotationLimit'] double
---@field HitchAnimationTimer FTimerHandle
---@field AnimationLength double
---@field HitchConstraint UVehicleConstraint
---@field HitchHandle UPhysicsHandleComponent
---@field ParentVehicle AAVS_Vehicle_C
---@field TowHitch UVehicle_Hitch_C
---@field TrailerHitch UVehicle_Hitch_C
---@field HitchFrame1 FTransform
---@field HitchFrame2 FTransform
---@field AnimateFrom FVector
---@field AnimateTo FVector
---@field Hitched FVehicle_Hitch_CHitched
---@field Unhitched FVehicle_Hitch_CUnhitched
---@field HitchNetworkData FHitchNetworkData
---@field HitchedToDestroyed FVehicle_Hitch_CHitchedToDestroyed
local UVehicle_Hitch_C = {}

function UVehicle_Hitch_C:WakeIfValid() end
---@param TowHitch UVehicle_Hitch_C
function UVehicle_Hitch_C:SetTowHitch(TowHitch) end
---@param HitchedTo UVehicle_Hitch_C
function UVehicle_Hitch_C:GetHitchedTo(HitchedTo) end
function UVehicle_Hitch_C:ApplyHitchFromNetwork() end
function UVehicle_Hitch_C:OnRep_HitchNetwork() end
---@param To UVehicle_Hitch_C
---@param isCompatible boolean
function UVehicle_Hitch_C:CheckCompatibility(To, isCompatible) end
---@param Vehicle AAVS_Vehicle_C
function UVehicle_Hitch_C:GetOwningVehicle(Vehicle) end
---@param Trailer AAVS_Vehicle_C
function UVehicle_Hitch_C:GetHitchedTrailer(Trailer) end
---@param Vehicle AAVS_Vehicle_C
function UVehicle_Hitch_C:GetHitchedVehicle(Vehicle) end
---@param Mesh UMeshComponent
function UVehicle_Hitch_C:GetVehicleMesh(Mesh) end
function UVehicle_Hitch_C:Unhitch() end
---@param To UVehicle_Hitch_C
---@param AnimationLength double
function UVehicle_Hitch_C:Hitch(To, AnimationLength) end
---@param TowHitch UVehicle_Hitch_C
---@param TrailerHitch UVehicle_Hitch_C
function UVehicle_Hitch_C:UpdateIsHitched(TowHitch, TrailerHitch) end
---@param TowHitch UVehicle_Hitch_C
---@param TrailerHitch UVehicle_Hitch_C
function UVehicle_Hitch_C:ApplyHitchConstraint(TowHitch, TrailerHitch) end
function UVehicle_Hitch_C:CreateConstraintFrames() end
function UVehicle_Hitch_C:CreateHitchConstraint() end
function UVehicle_Hitch_C:InitHitch() end
---@param AnimationLength double
function UVehicle_Hitch_C:HitchToOverlapped(AnimationLength) end
---@param isHitched boolean
function UVehicle_Hitch_C:SetIsHitched(isHitched) end
---@param isHitched boolean
function UVehicle_Hitch_C:GetIsHitched(isHitched) end
---@param DeltaSeconds float
function UVehicle_Hitch_C:ReceiveTick(DeltaSeconds) end
---@param AnimationLength double
function UVehicle_Hitch_C:StartHitchAnimation(AnimationLength) end
function UVehicle_Hitch_C:HitchAnimationFinished() end
function UVehicle_Hitch_C:StopHitchAnimation() end
function UVehicle_Hitch_C:ReceiveBeginPlay() end
---@param ConstraintIndex int32
function UVehicle_Hitch_C:HitchConstraintBroken(ConstraintIndex) end
---@param HitchNetworkData FHitchNetworkData
function UVehicle_Hitch_C:RPC_Server_HitchData(HitchNetworkData) end
---@param EndPlayReason EEndPlayReason::Type
function UVehicle_Hitch_C:ReceiveEndPlay(EndPlayReason) end
function UVehicle_Hitch_C:HitchedToDestroyed_Event() end
---@param EntryPoint int32
function UVehicle_Hitch_C:ExecuteUbergraph_Vehicle_Hitch(EntryPoint) end
function UVehicle_Hitch_C:HitchedToDestroyed__DelegateSignature() end
function UVehicle_Hitch_C:Unhitched__DelegateSignature() end
---@param TowHitch UVehicle_Hitch_C
---@param TrailerHitch UVehicle_Hitch_C
function UVehicle_Hitch_C:Hitched__DelegateSignature(TowHitch, TrailerHitch) end


